Anonymous Login
2019-08-25 19:39 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001273v3.0 Release[All Projects] Generalpublic2013-08-28 11:17
Reportercarlosazevedo 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001273: FIX: Files stored in subfolders are not visible of the 'Files' page
DescriptionInternally some code assumes that 'folder_id' = -1 means all files in all subfolders but the code for rendering the tabs 'All Files' through 'Applications' uses a 'folder_id' = 0, meaning that only files stored in the root are shown.
The fix involves changes in the files 'cleanup_functions.php' in 'includes' and 'index_table.php' in the 'files' module directory.

cleanup_functions.php
---------------------

    $qv->leftJoin('users', 'cu', 'cu.user_id = file_checkout');
    $qv->leftJoin('contacts', 'co', 'co.contact_id = cu.user_contact');
+ if ($folder_id > -1) {
        $qv->addWhere('file_folder = ' . (int)$folder_id);
+ }

    $files = $q->loadList();

index_table.php
---------------

    <?php
    $showProject = true;
+ echo displayFiles($AppUI, -1, $task_id, $project_id, $company_id);
- echo displayFiles($AppUI, 0, $task_id, $project_id, $company_id);
    ?>
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

+Notes

-Issue History
Date Modified Username Field Change
2013-03-04 06:52 carlosazevedo New Issue
2013-03-04 22:50 caseydk Note Added: 0002838
2013-03-04 22:50 caseydk Status new => resolved
2013-03-04 22:50 caseydk Resolution open => fixed
2013-03-04 22:50 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:17 caseydk Status resolved => closed
+Issue History